flutter_hooks 0.13.0

Flutter Android iOS web

A flutter implementation of React hooks. It adds a new kind of widget with enhanced code reuse.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  flutter_hooks: ^0.13.0

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:flutter_hooks/flutter_hooks.dart';
222
likes
110
pub points
96%
popularity

Publisher

dash-overflow.net

A flutter implementation of React hooks. It adds a new kind of widget with enhanced code reuse.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on flutter_hooks